using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using VIZ.Framework.Core;

namespace VIZ.Framework.WpfTest
{
    /// <summary>
    /// TallyTest.xaml 的交互逻辑
    /// </summary>
    public partial class TallyTest : UserControl
    {
        public TallyTest()
        {
            InitializeComponent();

            List<USBDeviceInfo> list = GPIOManager.ScanDevice();
            GPIOModel model = new GPIOModel(list[0]);

            this.tally.GPIOModel = model;
        }

        private void Button_Click_Open(object sender, RoutedEventArgs e)
        {
            this.tally.GPIOModel.Open();
        }

        private void Button_Click_Close(object sender, RoutedEventArgs e)
        {
            this.tally.GPIOModel?.Close();
        }
    }
}
